Subject: Re: [PATCH] TX_RING and packet mmap

From: Jarek Poplawski <[email-masked]>
Date: Wed, 6 May 2009 09:38:05 +0000

On Wed, May 06, 2009 at 07:07:10AM +0000, Jarek Poplawski wrote:
> On 05-05-2009 23:38, Johann Baudy wrote:
> > From: Johann Baudy <[email-masked]>
> > 
> > New packet socket feature that makes packet socket more efficient for transmission.
> > - It reduces number of system call through a PACKET_TX_RING mechanism, based on PACKET_RX_RING (Circular buffer allocated in kernel space which is mmapped from user space).
> > - It minimizes CPU copy using fragmented SKB (almost zero copy).
> > 
> > Signed-off-by: Johann Baudy <[email-masked]>
> > 
> > --
> > Update:
> 
> FYI, this patch is malformed by your mta.

After some discussion on private I admit I might be wrong about it
(since I didn't get this message directly from netdev@), then sorry
for disturbing.

Jarek P.